{
  "schema_version": "1.4.0",
  "id": "GHSA-xhjj-jg7j-pqrx",
  "modified": "2024-02-02T03:30:31Z",
  "published": "2022-05-01T18:29:00Z",
  "aliases": [
    "CVE-2007-4988"
  ],
  "details": "Sign extension error in the ReadDIBImage function in ImageMagick before 6.3.5-9 allows context-dependent attackers to execute arbitrary code via a crafted width value in an image file, which triggers an integer overflow and a heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-4988"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/36737"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1743"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9656"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=186030"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=597"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26926"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27048"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27309"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27364"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27439"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28721"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29786"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36260"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200710-27.xml"
    },
    {
      "type": "WEB",
      "url": "http://studio.imagemagick.org/pipermail/magick-announce/2007-September/000037.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1858"
    },
    {
      "type": "WEB",
      "url": "http://www.imagemagick.org/script/changelog.php"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/en/security/advisories?name=MDVSA-2008:035"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_23_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0145.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/483572/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/25765"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018729"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-523-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3245"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119",
      "CWE-681"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-09-24T22:17:00Z"
  }
}